import { OnesTable } from '../../../../../@ones-table/common';
import GroupItem from './group-item';
import { CommandBar } from '../../command-bar';
import { CommandItem } from '../../types';
import { MergeSplitCellItem } from './merge-split-item';
import './cell-overflow-group-item.scss';
export default class CellOverflowGroupItem extends GroupItem {
    constructor(table: OnesTable, clientId: string);
    protected getItems1(): {
        id: string;
        name: string;
        icon: string;
    }[];
    protected getItems2(): MergeSplitCellItem[];
    updateStates(): void;
    handleClick: (bar: CommandBar, item: CommandItem) => void;
}
